Bug 173119 - rsync end with error code 12
rsync end with error code 12
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: rsync (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Simo Sorce
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-14 07:27 EST by Thomas Antony
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-22 08:58:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Antony 2005-11-14 07:27:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; de-DE; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I use rsync over ssh for my backups between two servers running FC2 and FC3.
On the FC2 side everything works as it should, but i get some timeouts with rsync on the FC3 server and noticed some other bugs too.

rsync: connection unexpectedly closed (1519935 bytes read so far)
rsync error: error in rsync protocol data stream (code 12) at io.c(342)
rsync: connection unexpectedly closed (791408 bytes received so far) [sender]
rsync error: error in rsync protocol data stream (code 12) at io.c(420)

This are all known bugs with rsync and should be fixed in version 2.6.5.
Please update to the latest version 2.6.6

Version-Release number of selected component (if applicable):
rsync-2.6.3-1

How reproducible:
Always

Steps to Reproduce:
.) run rsync over ssh
.) run rsync with option -R and source path with a trailing slash
.) run rsync with option -rR --delete
  

Actual Results:  .) rsync terminates with a timeout
.) rsync erroneously delete some files an then re-transfer them

Additional info:

http://rsync.samba.org/ftp/rsync/old-versions/rsync-2.6.5-NEWS
http://rsync.samba.org/ftp/rsync/NEWS
Comment 1 Jeff Needle 2006-02-28 09:03:55 EST
NEEDINFO_QA is not the proper state for this bug.  Changing to ASSIGNED since
NEW is not an option.
Comment 2 Matthew Miller 2006-07-10 17:22:29 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.